@import './variables';

$steps: 20;
@keyframes rainbow {
  @for $i from 0 through $steps {
    #{percentage($i * (1 / $steps))} {
      background: linear-gradient(to left, hsla(random(365), 60, 60, 1), hsla(random(365), 60, 60, 1));
    }
  }
}

@keyframes textLoading {
  0% {
    content: ' ';
  }
  33% {
    content: ' .';
  }
  66% {
    content: ' . .';
  }
  100% {
    content: ' . . .';
  }
}

@keyframes ghostAnimation {
  0% {
    background-position: -100px;
  }
  40% {
    background-position: 40vw;
  }
  100% {
    background-position: 60vw;
  }
}

.top-appear {
  animation: top-appear 0.8s $cubic-bezier;
}
.fade-appear {
  animation: fade 0.8s $cubic-bezier;
}

@keyframes top-appear {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0px);
  }
}
@keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
